Bug 3393 - sendmail-program is set to 'fakemail'
: sendmail-program is set to 'fakemail'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-19 05:28 by
Modified: 2005-08-30 03:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-19 05:28:42
... что приводит к некорректной отсылке почты
[akhavr@netmaster tmp]$ cat t.el
(message sendmail-program)
[akhavr@netmaster tmp]$ emacs -batch -l t.el
Loading /etc/emacs/site-start.d/00auto-compr.el (source)...
Loading /etc/emacs/site-start.d/00macros.el (source)...
Loading /etc/emacs/site-start.d/10fontlock.el (source)...
Loading /etc/emacs/site-start.d/10frames.el (source)...
Loading /etc/emacs/site-start.d/10initial-features.el (source)...
Loading /etc/emacs/site-start.d/10keys.el (source)...
Loading /etc/emacs/site-start.d/10more-cyrillic.el (source)...
Loading /etc/emacs/site-start.d/10mouse.el (source)...
Loading /etc/emacs/site-start.d/10selection.el (source)...
Loading /etc/emacs/site-start.d/21cedet.el (source)...
Loading /usr/share/emacs/site-lisp/cedet/common/cedet.el (source)...
"/usr/share/emacs/site-lisp/cedet/common/" added to `load-path'
Loading /usr/lib/emacs/21.3/i586-alt-linux/fns-21.3.1.el (source)...
Loading /etc/emacs/site-start.d/30w3.el (source)...
Loading /usr/share/emacs/site-lisp/w3/auto-autoloads.el (source)...
Loading /usr/share/emacs/site-lisp/w3/custom-load.el (source)...
Loading /etc/emacs/site-start.d/bbdb.el (source)...
Loading /etc/emacs/site-start.d/c-mode-addons.el (source)...
Loading c-mode-addons...
Error while loading /etc/emacs/site-start.d/c-mode-addons.el
Loading /etc/emacs/site-start.d/dvips.el (source)...
Loading /etc/emacs/site-start.d/eiffel.el (source)...
Loading /etc/emacs/site-start.d/gnus.el (source)...
Loading /home/akhavr/.emacs.d/site-start.d/keys.el (source)...
Loading /etc/emacs/site-start.d/mailcrypt.el (source)...
Loading mailcrypt...
PGP version set to GPG.
Loading /home/akhavr/.emacs.d/site-start.d/misc.el (source)...
Loading /etc/emacs/site-start.d/mule-ucs.el (source)...
Loading /etc/emacs/site-start.d/php.el (source)...
Loading /etc/emacs/site-start.d/postscript.el (source)...
Loading /etc/emacs/site-start.d/python.el (source)...
Loading /etc/emacs/site-start.d/rexx.el (source)...
Loading /etc/emacs/site-start.d/rpm.el (source)...
Loading /etc/emacs/site-start.d/ruby.el (source)...
Loading /home/akhavr/.emacs.d/site-start.d/russian.el (source)...
Loading /etc/emacs/site-start.d/tramp.el (source)...
Loading /etc/emacs/site-start.d/vrml.el (source)...
Loading /etc/emacs/site-start.d/xbase.el (source)...
fakemail



Actual Results:  
в последней строке - fakemail

Expected Results:  
в последней строке - /usr/sbin/sendmail
------- Comment #1 From 2004-01-09 09:42:01 -------
Я не рассматриваю это как ошибку - это поведение, предусмотренное авторами
emacs, и нужно ли модифицировать глобальную настройку, которая будет
затрагивать
всех пользователей
------- Comment #2 From 2004-01-09 15:48:46 -------
Это ошибка, ибо есть следующий код:
/usr/share/emacs/21.3/lisp/paths.el:

(defconst sendmail-program
  (cond
    ((file-exists-p "/usr/sbin/sendmail") "/usr/sbin/sendmail")
    ((file-exists-p "/usr/lib/sendmail") "/usr/lib/sendmail")
    ((file-exists-p "/usr/ucblib/sendmail") "/usr/ucblib/sendmail")
    (t "fakemail"))			;In ../etc, to interface to /bin/mail.
  "Program used to send messages.")

После выполнения этого defconst значение sendmail-program правильное.
Однако при старте emacs - нет.  Вывод: либо paths.el не выполняется, либо
sendmail-program переопределяется где-то по дороге.
------- Comment #3 From 2004-01-12 11:32:21 -------
fixed in emacs21-21.3-alt6